/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	"xl.h"

void
init_exsh_function(
	XLISP_ENV * env0,
	XLISP_ENV * env1)
{
	init_OpenAS(env0);
	init_CloseAS(env0);
	init_SetAS(env1);
	init_GetAS(env0);
	init_GetAllAS(env0);
	init_IndexAS(env0);

	init_InsertCompose(env0);

	init_NullRect(env0);
	init_InsertRect(env0);
	init_RectResolution(env0);
	init_UnionRect(env0);


	init_Madd(env0);
	init_Mmul(env0);
	init_Melement(env0);
	init_Mzero(env0);
	init_Minner(env0);
	init_Msub(env0);
	init_sin(env0);
	init_cos(env0);
	init_tan(env0);
	init_sqrt(env0);
}
